Apache Tomcat 7.0.42

## org.apache.catalina.deploy
Class JspPropertyGroup

    java.lang.Object
      org.apache.catalina.deploy.JspPropertyGroup

    public class JspPropertyGroup

extends Object

Representation of a jsp-property-group element in web.xml.

Constructor Summary
`JspPropertyGroup()`

Method Summary
`void` `addIncludeCoda(String includeCoda)`
`void` `addIncludePrelude(String includePrelude)`
`void` `addUrlPattern(String urlPattern)`
`Integer` `getBuffer()`
`String` `getDefaultContentType()`
`Boolean` `getDeferredSyntax()`
`Boolean` `getElIgnored()`
`Boolean` `getErrorOnUndeclaredNamespace()`
`Set<String>` `getIncludeCodas()`
`Set<String>` `getIncludePreludes()`
`Boolean` `getIsXml()`
`String` `getPageEncoding()`
`Boolean` `getScriptingInvalid()`
`Boolean` `getTrimWhitespace()`
`Set<String>` `getUrlPatterns()`
`void` `setBuffer(String buffer)`
`void` `setDefaultContentType(String defaultContentType)`
`void` `setDeferredSyntax(String deferredSyntax)`
`void` `setElIgnored(String elIgnored)`
`void` `setErrorOnUndeclaredNamespace(String errorOnUndeclaredNamespace)`
`void` `setIsXml(String isXml)`
`void` `setPageEncoding(String pageEncoding)`
`void` `setScriptingInvalid(String scriptingInvalid)`
`void` `setTrimWhitespace(String trimWhitespace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspPropertyGroup

    public JspPropertyGroup()

Method Detail

### setDeferredSyntax

    public void setDeferredSyntax(String deferredSyntax)

### getDeferredSyntax

    public Boolean getDeferredSyntax()

### setElIgnored

    public void setElIgnored(String elIgnored)

### getElIgnored

    public Boolean getElIgnored()

### addIncludeCoda

    public void addIncludeCoda(String includeCoda)

### getIncludeCodas

    public Set<String> getIncludeCodas()

### addIncludePrelude

    public void addIncludePrelude(String includePrelude)

### getIncludePreludes

    public Set<String> getIncludePreludes()

### setIsXml

    public void setIsXml(String isXml)

### getIsXml

    public Boolean getIsXml()

### setPageEncoding

    public void setPageEncoding(String pageEncoding)

### getPageEncoding

    public String getPageEncoding()

### setScriptingInvalid

    public void setScriptingInvalid(String scriptingInvalid)

### getScriptingInvalid

    public Boolean getScriptingInvalid()

### setTrimWhitespace

    public void setTrimWhitespace(String trimWhitespace)

### getTrimWhitespace

    public Boolean getTrimWhitespace()

### addUrlPattern

    public void addUrlPattern(String urlPattern)

### getUrlPatterns

    public Set<String> getUrlPatterns()

### setDefaultContentType

    public void setDefaultContentType(String defaultContentType)

### getDefaultContentType

    public String getDefaultContentType()

### setBuffer

    public void setBuffer(String buffer)

### getBuffer

    public Integer getBuffer()

### setErrorOnUndeclaredNamespace

    public void setErrorOnUndeclaredNamespace(String errorOnUndeclaredNamespace)

### getErrorOnUndeclaredNamespace

    public Boolean getErrorOnUndeclaredNamespace()

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.